- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | List of all members
AL::Math::RigidBodySystemBuilder::Interface< T > Class Template Referenceabstract

`#include <rigidbodysystembuilder.h>`

## Public Types
typedef T | Scalar
typedef LinkData< Scalar > | Link
typedef Link::BodyMass | BodyMass
typedef BodyMass::Vector3 | Vector3
typedef BodyMass::Matrix3 | Matrix3
typedef StaticFrameData< Scalar > | StaticFrame
typedef StaticFrame::AffineCompact3 | AffineCompact3

## Public Member Functions
virtual | ~Interface ()
virtual const Config & | config () const =0
virtual void | addLink (Link link)=0
virtual void | addStaticFrame (StaticFrame sframe)=0
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass, const std::string &new_joint)
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new, const std::string &new_static_transform)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new)

## Detailed Description

### template<typename T>
class AL::Math::RigidBodySystemBuilder::Interface< T >

Definition at line 91 of file rigidbodysystembuilder.h.

## Member Typedef Documentation

template<typename T>

typedef StaticFrame::AffineCompact3 AL::Math::RigidBodySystemBuilder::Interface< T >::AffineCompact3

Definition at line 99 of file rigidbodysystembuilder.h.

template<typename T>

typedef Link::BodyMass AL::Math::RigidBodySystemBuilder::Interface< T >::BodyMass

Definition at line 95 of file rigidbodysystembuilder.h.

template<typename T>

typedef LinkData<Scalar> AL::Math::RigidBodySystemBuilder::Interface< T >::Link

Definition at line 94 of file rigidbodysystembuilder.h.

template<typename T>

typedef BodyMass::Matrix3 AL::Math::RigidBodySystemBuilder::Interface< T >::Matrix3

Definition at line 97 of file rigidbodysystembuilder.h.

template<typename T>

typedef T AL::Math::RigidBodySystemBuilder::Interface< T >::Scalar

Definition at line 93 of file rigidbodysystembuilder.h.

template<typename T>

typedef StaticFrameData<Scalar> AL::Math::RigidBodySystemBuilder::Interface< T >::StaticFrame

Definition at line 98 of file rigidbodysystembuilder.h.

template<typename T>

typedef BodyMass::Vector3 AL::Math::RigidBodySystemBuilder::Interface< T >::Vector3

Definition at line 96 of file rigidbodysystembuilder.h.

## Constructor & Destructor Documentation

template<typename T>

virtual AL::Math::RigidBodySystemBuilder::Interface< T >::~Interface | ( |  | ) |
| inline virtual

Definition at line 100 of file rigidbodysystembuilder.h.

## Member Function Documentation

template<typename T>

void AL::Math::RigidBodySystemBuilder::Interface< T >::add | ( | const std::string & | parent_body,
|  | const std::string & | new_body,
|  | const AffineCompact3 & | H_parent_joint,
|  | JointType | joint_type,
|  | const BodyMass & | mass,
|  | const std::string & | new_joint
| ) |  |
| inline

Definition at line 107 of file rigidbodysystembuilder.h.

template<typename T>

void AL::Math::RigidBodySystemBuilder::Interface< T >::add | ( | const std::string & | parent_body,
|  | const std::string & | new_body,
|  | const AffineCompact3 & | H_parent_joint,
|  | JointType | joint_type,
|  | const BodyMass & | mass
| ) |  |
| inline

Definition at line 113 of file rigidbodysystembuilder.h.

template<typename T>

void AL::Math::RigidBodySystemBuilder::Interface< T >::add | ( | const std::string & | parent_frame,
|  | const std::string & | new_static_frame,
|  | const AffineCompact3 & | H_parent_new,
|  | const std::string & | new_static_transform
| ) |  |
| inline

Definition at line 121 of file rigidbodysystembuilder.h.

template<typename T>

void AL::Math::RigidBodySystemBuilder::Interface< T >::add | ( | const std::string & | parent_frame,
|  | const std::string & | new_static_frame,
|  | const AffineCompact3 & | H_parent_new
| ) |  |
| inline

Definition at line 130 of file rigidbodysystembuilder.h.

template<typename T>

virtual void AL::Math::RigidBodySystemBuilder::Interface< T >::addLink | ( | Link | link | ) |
| pure virtual

Implemented in AL::Math::RigidBodySystemBuilder::InertiaEraser< T >, AL::Math::RigidBodySystemBuilder::NamesChecker< T >, and AL::Math::RigidBodySystemBuilder::Decorator< T >.

template<typename T>

virtual void AL::Math::RigidBodySystemBuilder::Interface< T >::addStaticFrame | ( | StaticFrame | sframe | ) |
| pure virtual

Implemented in AL::Math::RigidBodySystemBuilder::NamesChecker< T >, and AL::Math::RigidBodySystemBuilder::Decorator< T >.

template<typename T>

virtual const Config& AL::Math::RigidBodySystemBuilder::Interface< T >::config | ( |  | ) | const
| pure virtual

Implemented in AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >, and AL::Math::RigidBodySystemBuilder::Decorator< T >.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/rigidbodysystembuilder.h